Subject: [Lsr] [Errata Rejected] RFC2328 (5956)

From: RFC Errata System <[email-masked]>
Date: Wed, 18 Mar 2020 07:38:59 -0700 (PDT)

The following errata report has been rejected for RFC2328,
"OSPF Version 2".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5956

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Marcelo Bustani <[email-masked]>
Date Reported: 2020-01-08
Rejected by: Alvaro Retana (IESG)

Section: 12.4.1

Original Text
-------------
Router-LSAs

If the state of the interface is Loopback, add a Type 3
link (stub network) as long as this is not an interface
to an unnumbered point-to-point network.  The Link ID
should be set to the IP interface address, the Link Data
set to the mask 0xffffffff (indicating a host route),
and the cost set to 0.

===================================
12.4.1.4.  Describing Point-to-MultiPoint interfaces

                For operational Point-to-MultiPoint interfaces, one or
                more link descriptions are added to the router-LSA as
                follows:

                o   A single Type 3 link (stub network) is added with
                    Link ID set to the router's own IP interface
                    address, Link Data set to the mask 0xffffffff
                    (indicating a host route), and cost set to 0.
=============================================================================
C.3 Router interface parameters
 
 Interface output cost
            The cost of sending a packet on the interface, expressed in
            the link state metric.  This is advertised as the link cost
            for this interface in the router's router-LSA. The interface
            output cost must always be greater than 0.

Corrected Text
--------------
"cost set to 0" to at least "greater than 0"

Notes
-----
The section 12.4.1 and 12.4.1.4 are inconsistent with the appendix c.3.

These both section we find the cost to stub networks have to be set to 0, but in appendix c.3 we see that the interfaces must have greater than 0.
 --VERIFIER NOTES-- 
A discussion on the WG list (lsr) resulted a consensus of no change needed. 
https://mailarchive.ietf.org/arch/msg/lsr/FFiqi15XPunSwOV5BO1pl4o5xYY/

--------------------------------------
RFC2328 (no draft string recorded)
--------------------------------------
Title               : OSPF Version 2
Publication Date    : April 1998
Author(s)           : J. Moy
Category            : INTERNET STANDARD
Source              : Open Shortest Path First IGP
Area                : Routing
Stream              : IETF
Verifying Party     : IESG